> For the complete documentation index, see [llms.txt](https://docs.klipwallet.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.klipwallet.com/rest-api.md).

# REST API

Klip REST API는 Klip Partners API와 App2App API로 구성됩니다.

## Klip Partners API

Klip Partners API는 카드(NFT)를 발행, 전송, 삭제, 관리하는 기능 구현을 위한 REST API입니다. Klip Partners API는 카드 발행을 위한 Klip Partners 계정 로그인, 계정 관리 기능부터 카드를 발행, 전송, 관리하기 위한 API를 제공합니다.

## App2App API

App2App API는 여러분의 BApp을 Klip과 연동하는 기능 구현을 위한 API입니다. App2App API는 BApp에서 Klip 사용자 계정에 접근하여 KAIA, 카드, 토큰을 전송하거나 스마트 컨트랙트를 실행하는 요청을 수행하는 REST API를 제공합니다. App2App API는 SDK(iOS, Android, JavaScript)로도 제공됩니다.

| 항목                                                      | 설명                                                 |
| ------------------------------------------------------- | -------------------------------------------------- |
| [Klip Partners API](/rest-api/rest-api-card-minting.md) | 카드를 발행, 전송, 관리하는 기능 제공                             |
| [App2App API](/rest-api/rest-api-a2a.md)                | BApp과 Klip을 연동해 카드, 토큰, KAIA 전송 및 컨트랙트 실행 요청 기능 제공 |

{% hint style="info" %}
현재 토큰/NFT 전송 및 Smart Contract 실행과 같은 트랜잭션 서명 기능은 카이아, 이더리움, 폴리곤 네트워크에 대해서만 실행이 가능하며, 추후 지원이 확대될 예정입니다. 다른 네트워크에 대한 Klip 연동이 필요하다면 당장은 WalletConnect 사용을 부탁드립니다.
{% endhint %}

이 문서 혹은 Klip에 관한 문의는 [개발자 포럼](https://klipforum.zendesk.com)을 방문해 도움을 받으십시오.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.klipwallet.com/rest-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
